<template >
      <div :class="css.wrapperClass" v-if="totalPage > 1">
          <a @click="loadPage(1)" :class="['btn', css.linkFirstClass, isOnFirstPage ? css.disabledClass : '']" >
              <i v-if="css.icons.first != ''" :class="[css.icons.first]"></i>
              <span v-else>&laquo;</span>
          </a>
          <a @click="loadPage('prev')" :class="['btn', css.linkPrevClass, isOnFirstPage ? css.disabledClass : '']" >
              <i v-if="css.icons.next != ''" :class="[css.icons.prev]"></i>
              <span v-else>&nbsp;&lsaquo;</span>
          </a>
          <template v-if="notEnoughPages">
              <template v-for="n in totalPage">

                  <a @click="loadPage(n)" :class="['btn', css.pageClass, isCurrentPage(n) ? css.activeClass : css.inActiveClass]" v-html="n">
                  </a>

              </template>
          </template>
          <template v-else>
              <template v-for="n in windowSize">

                  <a @click="loadPage(windowStart+n-1)" :class="['btn', css.pageClass, isCurrentPage(windowStart+n-1) ? css.activeClass : css.inActiveClass]"
                     v-html="windowStart+n-1">
                  </a>

              </template>
          </template>

          <a @click="loadPage('next')" :class="['btn','btn-nav', css.linkNextClass, isOnLastPage ? css.disabledClass : '']">
              <i v-if="css.icons.next != ''" :class="[css.icons.next]"></i>
              <span v-else>&rsaquo;&nbsp;</span>
          </a>
          <a @click="loadPage(totalPage)" :class="['btn','btn-nav', css.linkLastClass, isOnLastPage ? css.disabledClass : '']">
              <i v-if="css.icons.last != ''" :class="[css.icons.last]"></i>
              <span v-else>&raquo;</span>
          </a>
      </div>
</template>
<script>
import PaginationMixin from './VuetablePaginationMixin.vue'

export default {
  mixins: [PaginationMixin],
}
</script>
